Subject: Re: bug#32724: 26.1; sql.el: support presto client

From: Michael Mauger <[email-masked]>
Date: Wed, 26 Jun 2019 03:15:43 +0000

-------- Original Message --------
> On Jun 23, 2019, 5:50 PM, Lars Ingebrigtsen < [email-masked]> wrote:
> Carlos Pita <[email-masked]> writes:
> > Here is a tentative partial implementation:
> >
> > ...
> I've Cc'd Michael Mauger on this -- perhaps he has a comment.

I'm sorry, I thought I had already responded to this on debbugs already...

My recommendation is to implement this as an ELPA package. That way it can be on a more frequent release cycle than core Emacs, and it gives you and others more leeway to provide more workflow features tailored specifically to Presto.

You've gone to this much effort.
You are going to have to assign your copyright to the FSF if the code is included in sql.el or in an ELPA module.
Come join us and become a package maintainer. I can certainly provide some guidance, but you've got a solid starting point.

Come join the Free side! :)

-- [email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer